Kerbal Space Program - Bug #13159

"Controle from Here" automaticly changes on mapview
10/31/2016 10:57 PM - AlffromKerbal

Status: Confirmed Start date: 10/31/2016
Severity: Normal % Done: 10%
Assignee: Roy

Category: Controls and Ul

Target version:

Version: 1.2.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

It took awhile to reproduce (after all i did "fully” while writing this report, pls. be patient reading and i hope i could express
myself understandable), since it happend to ground vehicle (found) & spacecraft (ret found), but in different ways.

1st Ground vehicle:

| have a vehicle (see supplied quicksave 1.) which has severel possible control sites - a Cockpit (root), a HECS and 2 Docking Ports
jr., one each back and front.

| set "Controles from Here" the Cockpit, but when i load a savegame and switch to mapview, it automaticly switches "Controle from
Here" to the rear Docking Port jr. - It doesn't matter if i move forward or if front is lower or higher in height (just wanted to be sure). It
is only after load game, not when switching while driving.

2nd Spacecraft:

| had a craft, that had 3 OKTQO's (all same direction) 1 active, 2 hybernating and docking port(s) (not jr.) aswell. It did not change
"Controle from Here" after load and also not while flying. At some instances after switching to that craft, it switched to something
other sided of those OKTO's direction (i think it was a docking port aswell). | cannot remember if mapview did this or just the switch to
the craft already. | never found out the reproducable here. (This craft (with 3 experiment storage probes on Tricoupler) is already
docked at minmus orbital station in savegame, a liquid fuel engine was initially at docking port which is now connected to station).

Full reproduction (after all):

In quicksave 2. provided, there is a craft called Science Car-Minmus 1 (Multi). It's mostly the same construction as the one in
quicksave 1.. As soon as you decouple the docking port from the fueltank and switching to mapview, it's changing the "Controle from
Here" itself AND of the craft active on loading quicksave 2. (Science Capsule Rocket 1). It doesn't do it while still connected with
fueltank.

After all, my "Car"s problem is influencing the other craft.

Both vehicles were build with mergeload and rerooting tool.
| started this career with 1.1, played through prerelease over Steam. Both vehicles were built with 1.2.

Before submit, i checked my backups and found savegame 2. where 2nd Spacecratft is still on its way. Sorry for "Storymode", but
seemed most understandable to me.

History

#1 - 11/04/2016 08:40 AM - dabiged

| can confirm | had this same bug in 1.2.1.

#2 - 11/04/2016 11:23 AM - AlffromKerbal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| don't know if this has something to do with initial topic.
I have a craft with multiple docking ports, when i decouple 2 of them to release a part and switching back to that vehicel, "controle from here" is active
on one of the now free docking ports instead of the HECS unit.

#3 - 12/12/2016 11:44 AM - AlffromKerbal

| don't know if this is related to topic, but would seem so.
When docking to another vessel, "Control from here" is changing to somewhere of the former second vessel. This is making
course-/forcecorrections unpredictable and you need to realize, find part and switch to previous "Control from here" quickly.

"Control from here" shouldn't switch automaticly or provide a propertybutton on part, to prevent the next automatic switch of *Control from here".
#4 - 12/27/2016 05:42 PM - AlffromKerbal

- File OreTransferVessel.jog added

- File OreTransferVessel.sfs.zip added

Recently i have the issue, that "control from here" is at a part, which doesn't even have that option at all.
After i dock at another vessel and undock, "cfh" is changed to an unknown part. | have 3 parts on the vessel where "cfh" can be activated, but none of
them actually HAVE "cfh".

See picture for parts capable of "cth" and test quicksave - dock at station and release, see that navball is upside down after release/undock and "cfh"
of any of that 3 parts correct navigation.

| don't remember for sure, but i think i used root-part tool while constructing. Another plea for flexible saving manual changed "control from here".

Btw.: After loading the game or switching to the scene, "cfh" seems to be wrong as well (not only after undocking).

#5 - 03/29/2017 05:00 PM - Roy

- Assignee set to Roy

Files

ControleSwitchesOnMapview.sfs.zip 465 KB 10/31/2016 AlffromKerbal
MinmusScienceCapsules.sfs.zip 388 KB 10/31/2016 AlffromKerbal
Science Capsule Rocket 1.craft 123 KB 10/31/2016 AlffromKerbal
Science_Car-Minmus 1 (Multi).craft 250 KB 10/31/2016 AlffromKerbal
OreTransferVessel.jpg 40.3 KB 12/27/2016 AlffromKerbal
OreTransferVessel.sfs.zip 601 KB 12/27/2016 AlffromKerbal
